std::__detail::_Insert_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >(3)

NAME
std::__detail::_Insert_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits > -

SYNOPSIS

Inherited by std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false, _Unique_keys >, std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true, false >, and std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true, true >.

  Public Member Functions
__ireturn_type insert (const value_type &__v)
iterator insert (const_iterator __hint, const value_type &__v)
void insert (initializer_list< value_type > __l)
template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)

  Protected Types
using __hashtable = _Hashtable< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >
using __hashtable_base = _Hashtable_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, _Traits >
using __ireturn_type = typename __hashtable_base::__ireturn_type
using __node_alloc_type = typename __alloctr_rebind< _Alloc, __node_type >::__type
using __node_gen_type = _AllocNode< __node_alloc_type >
using __node_type = _Hash_node< _Value, _Traits::__hash_cached::value >
using __unique_keys = typename __hashtable_base::__unique_keys
using const_iterator = typename __hashtable_base::const_iterator
using iterator = typename __hashtable_base::iterator
using size_type = typename __hashtable_base::size_type
using value_type = typename __hashtable_base::value_type

  Protected Member Functions
__hashtable & _M_conjure_hashtable ()
template<typename _InputIterator , typename _NodeGetter > void _M_insert_range (_InputIterator __first, _InputIterator __last, const _NodeGetter &)

Detailed Description

  template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits>struct std::__detail::_Insert_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >
Primary class template _Insert_base.

insert member functions appropriate to all _Hashtables.

Definition at line 685 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.